package response

import "time"

type Category struct {
	ID               int64     `json:"id"`
	Name             string    `json:"name"`        // 分类名称
	Description      string    `json:"description"` // 描述
	ParentCategoryID int64     `json:"parent_category_id"`
	ImageURL         string    `json:"image_url"`
	Level            int32     `json:"level"`
	CreatedAt        time.Time `json:"created_at"`
	UpdatedAt        time.Time `json:"updated_at"`
}
