package response

import (
	"sghgogs.com/micro/shopping-service-client/domain/model/base"
	"time"
)

type Payment struct {
	ID            int64                  `json:"id"`
	OrderID       int64                  `json:"order_id"`       // 订单ID
	Amount        int64                  `json:"amount"`         // 支付金额
	Status        base.PaymentStatusEnum `json:"status"`         // 支付状态
	PaymentMethod base.PaymentMethodEnum `json:"payment_method"` // 支付方式
	CreatedAt     time.Time              `json:"created_at"`
	UpdatedAt     *time.Time             `json:"updated_at"`
}
